Home Forums HDP on Linux – Installation Error install:No package hadoop available

Tagged: 

This topic contains 3 replies, has 2 voices, and was last updated by  Larry Liu 1 year, 11 months ago.

  • Creator
    Topic
  • #14017

    I install hortonworks version 1.2
    At step 9:

    err: /Stage[main]/Hdp-hadoop/Hdp-hadoop::Package[hadoop]/Hdp::Package[hadoop 64]/Hdp::Package::Process_pkg[hadoop 64]/Package[hadoop-libhdfs]/ensure: change from absent to present failed: Execution of ‘/usr/bin/yum -d 0 -e 0 -y install hadoop-libhdfs’ returned 1: Error: Nothing to do

    err: /Stage[main]/Hdp-hadoop/Hdp-hadoop::Package[hadoop]/Hdp::Package[hadoop 64]/Hdp::Package::Process_pkg[hadoop 64]/Package[hadoop-pipes]/ensure: change from absent to present failed: Execution of ‘/usr/bin/yum -d 0 -e 0 -y install hadoop-pipes’ returned 1: Error: Nothing to do

    err: /Stage[main]/Hdp-hadoop/Hdp-hadoop::Package[hadoop]/Hdp::Package[hadoop 64]/Hdp::Package::Process_pkg[hadoop 64]/Package[hadoop-native]/ensure: change from absent to present failed: Execution of ‘/usr/bin/yum -d 0 -e 0 -y install hadoop-native’ returned 1: Error: Nothing to do

    Then i run: yum install -y hadoop hadoop-libhdfs.x86_64 hadoop-native.x86_64 hadoop-pipes.x86_64 hadoop-sbin.x86_64 hadoop-lzo hadoop hadoop-libhdfs.x86_64 hadoop-native.x86_64 hadoop-pipes.x86_64 hadoop-sbin.x86_64 hadoop-lzo hadoop hadoop-libhdfs hadoop-native hadoop-pipes hadoop-sbin hadoop-lzo hadoop hadoop-libhdfs hadoop-native hadoop-pipes hadoop-sbin hadoop-lzo hadoop hadoop-libhdfs.x86_64 hadoop-native.x86_64 hadoop-pipes.x86_64 hadoop-sbin.x86_64 hadoop-lzo hadoop hadoop-libhdfs hadoop-native hadoop-pipes hadoop-sbin hadoop-lzo hive hcatalog oozie-client.noarch hdp_mon_dashboard hdp_mon_nagios_addons nagios-3.2.3 nagios-plugins-1.4.9 fping net-snmp-utils ganglia-gmetad-3.2.0 ganglia-gmond-3.2.0 gweb hdp_mon_ganglia_addons ganglia-gmond-3.2.0 gweb hdp_mon_ganglia_addons snappy snappy-deve

    error:
    No package hadoop available.
    No package hadoop-libhdfs.x86_64 available.
    No package hadoop-native.x86_64 available…………..

    my repolist:
    yum repolist : AMBARI-1.x ,HDP-UTILS-1.1.0.15 ,epel …

    Thanks.

Viewing 3 replies - 1 through 3 (of 3 total)

You must be logged in to reply to this topic.

  • Author
    Replies
  • #14079

    Larry Liu
    Moderator

    Hi, Hama

    Which documenataion you are referring to for step 9?

    Larry

    Collapse
    #14077

    Thanks.My os is Centos 6.3 64 bit

    Collapse
    #14063

    Larry Liu
    Moderator

    Hi, Hama,

    Thanks for trying HDP.

    Can you please check if your system and OS is 64 bits?

    Larry

    Collapse
Viewing 3 replies - 1 through 3 (of 3 total)